Support Issues

Prerequisites

Before submitting any support requests please ensure the following:

  1. The latest kite-opex module was pulled from Openware git repository git@git.openware.com:kite-opex (Please note that the issue you're faced with might already be resolved in the next version)
  2. The documentation was followed correctly during the deployment
  3. All the versions for dependencies are correct:
    • Terraform version <= v0.11.11 (this warining is also in administration.md)
    • Ruby version >= v2.5.1
    • Helm version >= v2.14.1
    • Kubectl version >= v1.15.0
  4. The process of deployment files is followed correctly
    • If config/cloud.yml file is updated, then kite generate env should be run afterwards
    • If config/environments/\*env\*/vars.kite-opex.yml file was updated, then kite module render config should be run afterwards

Further Actions

If all of this is done correctly, please submit a support request to support@openware.com using this form, including screenshots and steps to reproduce

Deployment environment ex. stage, uat, production
Project name ex. my-first-project
Deployment url www.app.local
DevOps responsible ex. BlackOps, John
Steps to reproduce 1. Log in -> 2. Open /trade tab
Component ex. Peatio, Terraform, Barong
Logs of components that failed ex: Fatal Error

IMPORTANT!Please make sure to fill out this form correctly and also include screenshots, as i helps us to react more rapidly and cut time in finding out this details after the request is submitted

Once the form is submitted, you'll receive an email from a member of our support team with further instructions